#!/usr/bin/perl
# Translate a winway balance report in a forme accepted by ABC.
# The output goes on the standard ouput. Use ` > a_file' to write the 
# output in an other file

eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
    if $running_under_some_shell;
			# this emulates #! processing on NIH machines.
			# (remove #! line above if indigestible)

eval '$'.$1.'$2;' while $ARGV[0] =~ /^([A-Za-z_0-9]+=)(.*)/ && shift;
			# process any FOO=bar switches

$[ = 1;			# set array base to 1
$FS = ' ';		# set field separator
$, = ' ';		# set output field separator
$\ = "\n";		# set output record separator

$FS = "\t";
print 'ACCOUNTS';

line: while (<>) {
    chomp;	# strip record separator
    ($Fld1,$Fld2,$Fld3,$Fld4,$Fld5,$Fld6,$Fld7,$Fld8) = split($FS, $_, 9999);
    if (/Balance des Soldes/) {
	next line;
    }
    $S = substr($Fld4, 2, 1) =~ /1|8/ &&

      ($RLENGTH = length($&), $RSTART = length($`)+1);
    if ($S == 0) {
	$S = '-';
    }
    else {
	$S = '+';
    }

    $v = $Fld8 * -1;
    s/"//g;
    print $Fld4 . ': ' . $S . ' ' . $v . ' comment= |>' . $Fld5 . '<|';
}

print 'END';

